Bug 438997 - HA LVM: lvm_by_vg.sh is stripping tags from all the VGs and not from only the configured one.
HA LVM: lvm_by_vg.sh is stripping tags from all the VGs and not from only the...
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On: 438816
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 10:10 EDT by Jonathan Earl Brassow
Modified: 2009-04-16 15:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2008-03-26 10:10:18 EDT
+++ This bug was initially created as a clone of Bug #438816 +++

Description of problem:

If I have at least 2 services using HA LVM (1 lvm resource for every service
using of course different VGs) and they are both active on the same node when I
stop one of the services (so one vg) the tags are removed from all the VGs due
to a missing vgname parameter in the call to vgchange --deltag

The attached patch should fix it and also a missing initialization of my_name in
vg_status that will report something like this:

<err>    WARNING: vg01 should not be active
<err>    WARNING:  does not own vg01
<err>    WARNING: Attempting shutdown of vg01

instead of:

<err>    WARNING: vg01 should not be active
<err>    WARNING: node01 does not own vg01
<err>    WARNING: Attempting shutdown of vg01


Thanks!
Bye!

-- Additional comment from simone.gotti@email.it on 2008-03-25 09:35 EST --
Created an attachment (id=299019)
Fix described problem in lvm_by_vg.sh
Comment 1 RHEL Product and Program Management 2008-03-26 10:18:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 errata-xmlrpc 2008-07-25 15:16:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html

Note You need to log in before you can comment on or make changes to this bug.